NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::GeneralInsertBuilder Class Reference

General Insert Design Builder of PDW and EDW. More...

Inheritance diagram for NXOpen::Tooling::GeneralInsertBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  GenerateMethod { GenerateMethodBoundingBox, GenerateMethodUserDefined }
 Specify the creation method of insert. More...
 
enum  ParentOption { ParentOptionNoParent }
 Specify the part parent of insert part. More...
 
enum  Types { TypesCreateInsert, TypesEditInsert, TypesDeleteInsert }
 Specify the insert operation type. More...
 

Public Member Functions

void AddFromSpreadsheetAttributeList ()
 Move attribute from Attribute from Spreadsheet to Attribute of Object
Created in NX10.0.0. More...
 
NXOpen::ExpressionBoxOffset ()
 Returns the box offset
Created in NX10.0.0. More...
 
NXOpen::ExpressionClearance ()
 Returns the clearance
Created in NX10.0.0. More...
 
void CreateDatum ()
 Create datum on selected face
Created in NX10.0.0. More...
 
void CreateUserDefinedInsert (const NXString &refset)
 Creates user defined insert. More...
 
void CreateUserDefinedInsert (const char *refset)
 Creates user defined insert. More...
 
void DeleteAttribute ()
 Remove attribute from Attribute of Object
Created in NX10.0.0. More...
 
NXOpen::Tooling::GeneralInsertBuilder::GenerateMethod GenerateType ()
 Returns the generate type
Created in NX10.0.0. More...
 
void GetAttributeTitleName (std::vector< NXString > &titleName)
 Returns the title name of Attribute Of Object Tree list
Created in NX10.0.0. More...
 
void GetAttributeValueText (std::vector< NXString > &valueText)
 Returns the value text of Attribute Of Object Tree list
Created in NX10.0.0. More...
 
NXOpen::ExpressionHeight ()
 Returns the height
Created in NX10.0.0. More...
 
NXOpen::Assemblies::SelectComponentListInsertToDelete ()
 Returns the insert to delete
Created in NX10.0.0. More...
 
NXOpen::Assemblies::SelectComponentInsertToEdit ()
 Returns the insert to edit
Created in NX10.0.0. More...
 
NXOpen::ExpressionNegativeX ()
 Returns the negative x
Created in NX10.0.0. More...
 
NXOpen::ExpressionNegativeY ()
 Returns the negative y
Created in NX10.0.0. More...
 
NXOpen::ExpressionNegativeZ ()
 Returns the negative z
Created in NX10.0.0. More...
 
void NewAttribute ()
 Create new attribute in Attribute of Object
Created in NX10.0.0. More...
 
bool NormalRenameDialog ()
 Returns the normal rename dialog
Created in NX10.0.0. More...
 
NXOpen::Matrix3x3 OrientationReferenceCSYS ()
 Returns the reference CSYS orientation
Created in NX11.0.0. More...
 
NXOpen::SectionOuterProfile ()
 Returns the outer profile
Created in NX10.0.0. More...
 
NXOpen::Tooling::GeneralInsertBuilder::ParentOption ParentPart ()
 Returns the parent part
Created in NX10.0.0. More...
 
NXString ParentPartName ()
 Returns the parent part name of parent part
Created in NX10.0.0. More...
 
NXOpen::ExpressionPositiveX ()
 Returns the positive x
Created in NX10.0.0. More...
 
NXOpen::ExpressionPositiveY ()
 Returns the positive y
Created in NX10.0.0. More...
 
NXOpen::ExpressionPositiveZ ()
 Returns the positive z
Created in NX10.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius
Created in NX10.0.0. More...
 
bool ReverseInsertDirection ()
 Returns the reverse insert direction
Created in NX10.0.0. More...
 
NXOpen::SelectFaceListSelectFace ()
 Returns the select face
Created in NX10.0.0. More...
 
void SetAttributeTitleName (std::vector< NXString > &titleName)
 Sets the title name of Attribute Of Object Tree list
Created in NX10.0.0. More...
 
void SetAttributeValueText (std::vector< NXString > &valueText)
 Sets the title name of Attribute Of Object Tree list
Created in NX10.0.0. More...
 
void SetGenerateType (NXOpen::Tooling::GeneralInsertBuilder::GenerateMethod generateType)
 Sets the generate type
Created in NX10.0.0. More...
 
void SetNormalRenameDialog (bool normalRenameDialog)
 Sets the normal rename dialog
Created in NX10.0.0. More...
 
void SetOrientationReferenceCSYS (const NXOpen::Matrix3x3 &matrix)
 Sets the reference CSYS orientation
Created in NX11.0.0. More...
 
void SetParentPart (NXOpen::Tooling::GeneralInsertBuilder::ParentOption parentPart)
 Sets the parent part
Created in NX10.0.0. More...
 
void SetParentPartName (const NXString &parentPartName)
 Sets the parent part name of parent part
Created in NX10.0.0. More...
 
void SetParentPartName (const char *parentPartName)
 Sets the parent part name of parent part
Created in NX10.0.0. More...
 
void SetReverseInsertDirection (bool reverseInsertDirection)
 Sets the reverse insert direction
Created in NX10.0.0. More...
 
void SetSettingWithoutFalseBody (bool settingWithoutFalseBody)
 Sets the setting without false body
Created in NX10.0.0. More...
 
bool SettingWithoutFalseBody ()
 Returns the setting without false body
Created in NX10.0.0. More...
 
void SetType (NXOpen::Tooling::GeneralInsertBuilder::Types type)
 Sets the operation type of general insert. More...
 
void SetUserDefinedExtrudeDirection (const NXOpen::Vector3d &direction)
 Sets the user defined extrude direction
Created in NX11.0.1. More...
 
void SetWizardType (int wizardType)
 Sets the wizard type
Created in NX10.0.0. More...
 
NXOpen::ExpressionStartPosition ()
 Returns the start position
Created in NX10.0.0. More...
 
NXOpen::Tooling::GeneralInsertBuilder::Types Type ()
 Returns the operation type of general insert. More...
 
NXOpen::Vector3d UserDefinedExtrudeDirection ()
 Returns the user defined extrude direction
Created in NX11.0.1. More...
 
int WizardType ()
 Returns the wizard type
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

General Insert Design Builder of PDW and EDW.

A Body is returned by this builder.
To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateGeneralInsertBuilder
Default values.

Property Value

BoxOffset.Value

0 (millimeters part), 0 (inches part)

Clearance.Value

0 (millimeters part), 0 (inches part)

GenerateType

BoundingBox

Height.Value

0 (millimeters part), 0 (inches part)

NegativeX.Value

0 (millimeters part), 0 (inches part)

NegativeY.Value

0 (millimeters part), 0 (inches part)

NegativeZ.Value

0 (millimeters part), 0 (inches part)

NormalRenameDialog

0

ParentPart

NoParent

PositiveX.Value

0 (millimeters part), 0 (inches part)

PositiveY.Value

0 (millimeters part), 0 (inches part)

PositiveZ.Value

0 (millimeters part), 0 (inches part)

Radius.Value

0 (millimeters part), 0 (inches part)

SettingWithoutFalseBody

0

StartPosition.Value

0 (millimeters part), 0 (inches part)


Created in NX10.0.0.

Member Enumeration Documentation

Specify the creation method of insert.

Enumerator
GenerateMethodBoundingBox 

bounding box

GenerateMethodUserDefined 

user defined

Specify the part parent of insert part.

Enumerator
ParentOptionNoParent 

no parent

Specify the insert operation type.

Enumerator
TypesCreateInsert 

create insert

TypesEditInsert 

edit insert

TypesDeleteInsert 

delete insert

Member Function Documentation

void NXOpen::Tooling::GeneralInsertBuilder::AddFromSpreadsheetAttributeList ( )

Move attribute from Attribute from Spreadsheet to Attribute of Object
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::BoxOffset ( )

Returns the box offset
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::Clearance ( )

Returns the clearance
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::CreateDatum ( )

Create datum on selected face
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::CreateUserDefinedInsert ( const NXString refset)

Creates user defined insert.

The refset defines the insert which is TRUE or FALSE body
Created in NX10.0.0.

License requirements : None

Parameters
refsetrefset
void NXOpen::Tooling::GeneralInsertBuilder::CreateUserDefinedInsert ( const char *  refset)

Creates user defined insert.

The refset defines the insert which is TRUE or FALSE body
Created in NX10.0.0.

License requirements : None

Parameters
refsetrefset
void NXOpen::Tooling::GeneralInsertBuilder::DeleteAttribute ( )

Remove attribute from Attribute of Object
Created in NX10.0.0.



License requirements : None

NXOpen::Tooling::GeneralInsertBuilder::GenerateMethod NXOpen::Tooling::GeneralInsertBuilder::GenerateType ( )

Returns the generate type
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::GetAttributeTitleName ( std::vector< NXString > &  titleName)

Returns the title name of Attribute Of Object Tree list
Created in NX10.0.0.



License requirements : None

Parameters
titleNamethe list of title
void NXOpen::Tooling::GeneralInsertBuilder::GetAttributeValueText ( std::vector< NXString > &  valueText)

Returns the value text of Attribute Of Object Tree list
Created in NX10.0.0.



License requirements : None

Parameters
valueTextthe list of title
NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::Height ( )

Returns the height
Created in NX10.0.0.



License requirements : None

NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::GeneralInsertBuilder::InsertToDelete ( )

Returns the insert to delete
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::GeneralInsertBuilder::InsertToEdit ( )

Returns the insert to edit
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::NegativeX ( )

Returns the negative x
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::NegativeY ( )

Returns the negative y
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::NegativeZ ( )

Returns the negative z
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::NewAttribute ( )

Create new attribute in Attribute of Object
Created in NX10.0.0.



License requirements : None

bool NXOpen::Tooling::GeneralInsertBuilder::NormalRenameDialog ( )

Returns the normal rename dialog
Created in NX10.0.0.



License requirements : None

NXOpen::Matrix3x3 NXOpen::Tooling::GeneralInsertBuilder::OrientationReferenceCSYS ( )

Returns the reference CSYS orientation
Created in NX11.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::GeneralInsertBuilder::OuterProfile ( )

Returns the outer profile
Created in NX10.0.0.



License requirements : None

NXOpen::Tooling::GeneralInsertBuilder::ParentOption NXOpen::Tooling::GeneralInsertBuilder::ParentPart ( )

Returns the parent part
Created in NX10.0.0.



License requirements : None

NXString NXOpen::Tooling::GeneralInsertBuilder::ParentPartName ( )

Returns the parent part name of parent part
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::PositiveX ( )

Returns the positive x
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::PositiveY ( )

Returns the positive y
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::PositiveZ ( )

Returns the positive z
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::Radius ( )

Returns the radius
Created in NX10.0.0.



License requirements : None

bool NXOpen::Tooling::GeneralInsertBuilder::ReverseInsertDirection ( )

Returns the reverse insert direction
Created in NX10.0.0.



License requirements : None

NXOpen::SelectFaceList* NXOpen::Tooling::GeneralInsertBuilder::SelectFace ( )

Returns the select face
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::SetAttributeTitleName ( std::vector< NXString > &  titleName)

Sets the title name of Attribute Of Object Tree list
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
titleNamethe list of title
void NXOpen::Tooling::GeneralInsertBuilder::SetAttributeValueText ( std::vector< NXString > &  valueText)

Sets the title name of Attribute Of Object Tree list
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
valueTextthe list of title
void NXOpen::Tooling::GeneralInsertBuilder::SetGenerateType ( NXOpen::Tooling::GeneralInsertBuilder::GenerateMethod  generateType)

Sets the generate type
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
generateTypegeneratetype
void NXOpen::Tooling::GeneralInsertBuilder::SetNormalRenameDialog ( bool  normalRenameDialog)

Sets the normal rename dialog
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
normalRenameDialognormalrenamedialog
void NXOpen::Tooling::GeneralInsertBuilder::SetOrientationReferenceCSYS ( const NXOpen::Matrix3x3 matrix)

Sets the reference CSYS orientation
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrixmatrix
void NXOpen::Tooling::GeneralInsertBuilder::SetParentPart ( NXOpen::Tooling::GeneralInsertBuilder::ParentOption  parentPart)

Sets the parent part
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartparentpart
void NXOpen::Tooling::GeneralInsertBuilder::SetParentPartName ( const NXString parentPartName)

Sets the parent part name of parent part
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartNameparentpartname
void NXOpen::Tooling::GeneralInsertBuilder::SetParentPartName ( const char *  parentPartName)

Sets the parent part name of parent part
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartNameparentpartname
void NXOpen::Tooling::GeneralInsertBuilder::SetReverseInsertDirection ( bool  reverseInsertDirection)

Sets the reverse insert direction
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reverseInsertDirectionreverseinsertdirection
void NXOpen::Tooling::GeneralInsertBuilder::SetSettingWithoutFalseBody ( bool  settingWithoutFalseBody)

Sets the setting without false body
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
settingWithoutFalseBodysettingwithoutfalsebody
bool NXOpen::Tooling::GeneralInsertBuilder::SettingWithoutFalseBody ( )

Returns the setting without false body
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::GeneralInsertBuilder::SetType ( NXOpen::Tooling::GeneralInsertBuilder::Types  type)

Sets the operation type of general insert.


Created in NX10.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Tooling::GeneralInsertBuilder::SetUserDefinedExtrudeDirection ( const NXOpen::Vector3d direction)

Sets the user defined extrude direction
Created in NX11.0.1.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
directiondirection
void NXOpen::Tooling::GeneralInsertBuilder::SetWizardType ( int  wizardType)

Sets the wizard type
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
wizardTypewizardtype
NXOpen::Expression* NXOpen::Tooling::GeneralInsertBuilder::StartPosition ( )

Returns the start position
Created in NX10.0.0.



License requirements : None

NXOpen::Tooling::GeneralInsertBuilder::Types NXOpen::Tooling::GeneralInsertBuilder::Type ( )

Returns the operation type of general insert.


Created in NX10.0.0.

License requirements : None

NXOpen::Vector3d NXOpen::Tooling::GeneralInsertBuilder::UserDefinedExtrudeDirection ( )

Returns the user defined extrude direction
Created in NX11.0.1.



License requirements : None

int NXOpen::Tooling::GeneralInsertBuilder::WizardType ( )

Returns the wizard type
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.